Documentation Index
Fetch the complete documentation index at: https://turnkey-0e7c1f5b-9-digit-updates.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
API Key
Webauthn (Passkey)
Body
Enum options: ACTIVITY_TYPE_CREATE_INVITATIONS
Timestamp (in milliseconds) of the request, used to verify liveness of user requests.
Unique identifier for a given Organization.
parameters field
A list of Invitations.
parameters.invitations.receiverUserName
The name of the intended Invitation recipient.
parameters.invitations.receiverUserEmail
The email address of the intended Invitation recipient.
parameters.invitations.receiverUserTags
A list of tags assigned to the Invitation recipient. This field, if not needed, should be an empty array in your request body.
Array item type: string
item field
parameters.invitations.accessType
Enum options: ACCESS_TYPE_WEB, ACCESS_TYPE_API, ACCESS_TYPE_ALL
parameters.invitations.senderUserId
Unique identifier for the Sender of an Invitation.
Response
A successful response returns the following fields:
The activity object containing type, intent, and result
The intent of the activity
activity.intent.createInvitationsIntent
The createInvitationsIntent objectShow createInvitationsIntent details
activity.intent.createInvitationsIntent.invitations
A list of Invitations.
activity.intent.createInvitationsIntent.invitations.receiverUserName
The name of the intended Invitation recipient.
activity.intent.createInvitationsIntent.invitations.receiverUserEmail
The email address of the intended Invitation recipient.
activity.intent.createInvitationsIntent.invitations.receiverUserTags
A list of tags assigned to the Invitation recipient. This field, if not needed, should be an empty array in your request body.Show receiverUserTags details
activity.intent.createInvitationsIntent.invitations.receiverUserTags.item
activity.intent.createInvitationsIntent.invitations.accessType
accessType fieldEnum options: ACCESS_TYPE_WEB, ACCESS_TYPE_API, ACCESS_TYPE_ALL
activity.intent.createInvitationsIntent.invitations.senderUserId
Unique identifier for the Sender of an Invitation.
The result of the activity
activity.result.createInvitationsResult
The createInvitationsResult objectShow createInvitationsResult details
activity.result.createInvitationsResult.invitationIds
A list of Invitation IDsShow invitationIds details
activity.result.createInvitationsResult.invitationIds.item
curl --request POST \
--url https://api.turnkey.com/public/v1/submit/create_invitations \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header "X-Stamp: <YOUR_API_KEY.YOUR_API_SECRET>" \
--data '{
"type": "ACTIVITY_TYPE_CREATE_INVITATIONS",
"timestampMs": "<string> (e.g. 1746736509954)",
"organizationId": "<string> (Your Organization ID)",
"parameters": {
"invitations": [
{
"receiverUserName": "<string>",
"receiverUserEmail": "<string>",
"receiverUserTags": [
"<string_element>"
],
"accessType": "<ACCESS_TYPE_WEB>",
"senderUserId": "<string>"
}
]
}
}'
{
"activity": {
"id": "<activity-id>",
"status": "ACTIVITY_STATUS_COMPLETED",
"type": "ACTIVITY_TYPE_CREATE_INVITATIONS",
"organizationId": "<organization-id>",
"timestampMs": "<timestamp> (e.g. 1746736509954)",
"result": {
"activity": {
"type": "<string>",
"intent": {
"createInvitationsIntent": {
"invitations": [
{
"receiverUserName": "<string>",
"receiverUserEmail": "<string>",
"receiverUserTags": [
"<string_element>"
],
"accessType": "<ACCESS_TYPE_WEB>",
"senderUserId": "<string>"
}
]
}
},
"result": {
"createInvitationsResult": {
"invitationIds": [
"<string_element>"
]
}
}
}
}
}
}